Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002644KdenliveEffectspublic2012-06-12 00:082012-06-20 13:49
Reporterkarl 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
Platformx86_64OSCentOSOS Version6.2
Product VersionRecent git 
Target VersionFixed in Version 
Summary0002644: Both "White balance" and "3 point balance" cause false colors with default values
DescriptionWhen adding either the "White balance" or the "3 point balance" effect to a clip, ugly, heavy tinted false colors result with the initial default values (the values also set with "reset effect"), and trying to find parameters that give a reasonable result is impossible.

With "3 point balance" default values, the red color channel is completely zeroed out.

With "White Balance" default values, grey becomes pink.

(See attached sceen shots.)
Steps To ReproduceTo reproduce, just add either "white balancing" effect to any clip.
Additional InformationI compiled kdenlive myself from the git sources at commit 05a2c84dd45e8797093632e88c1df31f9b0a9ec7 - and most effects I tried worked just fine.
Tags3 point balance, white balance, wrong color
Build/Install MethodManual build from Git
Attached Filespng file icon kdenlive_3p_balance.png [^] (1,019,503 bytes) 2012-06-12 00:08
png file icon kdenlive_white_balance.png [^] (1,103,277 bytes) 2012-06-12 00:10
png file icon kdenlive_3p_balance_2.png [^] (128,129 bytes) 2012-06-12 00:11


png file icon kdenlive_white_balance_2.png [^] (121,389 bytes) 2012-06-12 00:11

- Relationships
has duplicate 0002663closedj-b-m Chroma keying ignores color - wrong color representation? 

-  Notes
(0008125)
j-b-m (administrator)
2012-06-12 17:25

Should be fixed now, thanks
(0008127)
karl (reporter)
2012-06-13 22:44

Thanks j-b-m, I can confirm that the reported issue is fixed as of commit b49e04f016ad4345d292b64aea34eeaa3797ab63.

But one issue (which I assumed to be the same as the reported issue, but apparently isn't) remains with the "3 point balance" effect:

When I pick a color for "black" by clicking first the "color picker" symbol besides it and then into a supposedly black area of the image, all is fine. But if I do the same holding down mouse button 1 and spanning some area supposedly black in the image, bizarre false colors (almost inverted) are the result.

Surprisingly, this odd behaviour does not occur when picking "grey" or "white" reference areas for the same effect, only the "black" picking is affected.
(0008131)
j-b-m (administrator)
2012-06-20 11:06

Ok, I checked that and should be fixed now. The "inverted colors" issue happens when you select a "black" color that is lighter than the "grey" color.

The problem was that selecting an average color from a monitor region did not work, it always gave a light grey color whatever the selection was. It should work fine now.
(0008132)
karl (reporter)
2012-06-20 13:49

Thanks again, I can confirm that the color picking for the "3 point balance" effect now works (as of commit 4d988e59ca8f3ce0d53250aab4f2f1c6d5ae3b54).

Not really a bug, but one surprising behaviour remained with the color picking: When kdenlive displays a black letterbox frame around a clip (as e.g. to be seen in the attached screen shot kdenlive_3p_balance_2.png, the slim black areas above and below the color gradient image), and one spans that seemingly black area when color-picking, the color resulting from the pick seems to have some unpredictable (non-black) value. It would be less surprising to the user if the color picker just ignored areas outside of the existing image.

- Issue History
Date Modified Username Field Change
2012-06-12 00:08 karl New Issue
2012-06-12 00:08 karl File Added: kdenlive_3p_balance.png
2012-06-12 00:10 karl File Added: kdenlive_white_balance.png
2012-06-12 00:11 karl File Added: kdenlive_3p_balance_2.png
2012-06-12 00:11 karl File Added: kdenlive_white_balance_2.png
2012-06-12 00:16 karl Tag Attached: wrong color
2012-06-12 00:16 karl Tag Attached: 3 point balance
2012-06-12 00:16 karl Tag Attached: white balance
2012-06-12 17:25 j-b-m Note Added: 0008125
2012-06-12 17:25 j-b-m Assigned To => j-b-m
2012-06-12 17:25 j-b-m Status new => feedback
2012-06-13 22:44 karl Note Added: 0008127
2012-06-13 22:44 karl Status feedback => assigned
2012-06-20 11:06 j-b-m Note Added: 0008131
2012-06-20 13:49 karl Note Added: 0008132
2012-09-01 20:49 j-b-m Relationship added has duplicate 0002663


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker